Crypto Treasury Holdings by Coin ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/{entity}/public_treasury/{coin_id} \
--header 'x-cg-pro-api-key: <api-key>'{
"total_holdings": 1272129.0267804659,
"total_value_usd": 97225044888.65527,
"market_cap_dominance": 6.06,
"companies": [
{
"name": "Strategy",
"symbol": "MSTR.US",
"country": "US",
"total_holdings": 843738,
"total_entry_value_usd": 63870055699,
"total_current_value_usd": 64484706340.107254,
"percentage_of_total_supply": 4.018
},
{
"name": "XXI",
"symbol": "XXI.US",
"country": "US",
"total_holdings": 43514,
"total_entry_value_usd": 0,
"total_current_value_usd": 3325662126.967645,
"percentage_of_total_supply": 0.207
}
]
}Crypto Treasury Holdings by Coin ID
To query public companies’ and governments’ cryptocurrency holdings by coin ID
GET
/
{entity}
/
public_treasury
/
{coin_id}
Crypto Treasury Holdings by Coin ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/{entity}/public_treasury/{coin_id} \
--header 'x-cg-pro-api-key: <api-key>'{
"total_holdings": 1272129.0267804659,
"total_value_usd": 97225044888.65527,
"market_cap_dominance": 6.06,
"companies": [
{
"name": "Strategy",
"symbol": "MSTR.US",
"country": "US",
"total_holdings": 843738,
"total_entry_value_usd": 63870055699,
"total_current_value_usd": 64484706340.107254,
"percentage_of_total_supply": 4.018
},
{
"name": "XXI",
"symbol": "XXI.US",
"country": "US",
"total_holdings": 43514,
"total_entry_value_usd": 0,
"total_current_value_usd": 3325662126.967645,
"percentage_of_total_supply": 0.207
}
]
}Notes
- Results are sorted by total holdings in descending order.
- Equivalent page on CoinGecko Bitcoin Treasuries.
SDK Examples
const response = await client.publicTreasury.getCoinID('bitcoin', {
entity: 'companies',
});
console.log(JSON.stringify(response, null, 2));
response = client.public_treasury.get_coin_id(
"bitcoin",
entity="companies",
)
print(response.model_dump_json(indent=2))
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Public company or government entity.
Available options:
companies, governments Coin ID.
e.g. bitcoin, ethereum, solana, binancecoin
Query Parameters
Total results per page. Default value: 250 Valid values: 1...250
Page through results. Default value: 1
Sort order for results.
Default: total_holdings_usd_desc
Available options:
total_holdings_usd_desc, total_holdings_usd_asc Response
200 - application/json
Public companies or governments crypto treasury holdings data
- CompanyTreasury
- GovernmentTreasury
Total crypto holdings
Total crypto holdings value in USD
Market cap dominance percentage
List of companies holding crypto
Hide child attributes
Hide child attributes
Company name
Company ticker symbol
Country code
Total crypto holdings
Total entry value in USD
Total current value of crypto holdings in USD
Percentage of total crypto supply
Was this page helpful?

